"use strict";
/*!
 * Copyright 2019, OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("./types");
class ConsoleLogger {
    constructor(level = types_1.LogLevel.DEBUG) {
        if (level >= types_1.LogLevel.DEBUG) {
            this.debug = (...args) => {
                console.debug(...args);
            };
        }
        if (level >= types_1.LogLevel.INFO) {
            this.info = (...args) => {
                console.info(...args);
            };
        }
        if (level >= types_1.LogLevel.WARN) {
            this.warn = (...args) => {
                console.warn(...args);
            };
        }
        if (level >= types_1.LogLevel.ERROR) {
            this.error = (...args) => {
                console.error(...args);
            };
        }
    }
    debug(message, ...args) { }
    error(message, ...args) { }
    warn(message, ...args) { }
    info(message, ...args) { }
}
exports.ConsoleLogger = ConsoleLogger;
//# sourceMappingURL=ConsoleLogger.js.map