"use strict";
/*!
 * Copyright 2019, OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * No-op implementations of {@link BinaryFormat}.
 */
class NoopBinaryFormat {
    constructor() {
        this._buff = new ArrayBuffer(0);
    }
    // By default does nothing
    toBytes(spanContext) {
        return this._buff;
    }
    // By default does nothing
    fromBytes(buf) {
        return null;
    }
}
exports.NOOP_BINARY_FORMAT = new NoopBinaryFormat();
//# sourceMappingURL=NoopBinaryFormat.js.map