"use strict";
/*!
 * Copyright 2019, OpenTelemetry Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const TracerDelegate_1 = require("./TracerDelegate");
let globalTracerDelegate = new TracerDelegate_1.TracerDelegate();
/**
 * Set the current global tracer. Returns the initialized global tracer
 */
function initGlobalTracer(tracer) {
    return (globalTracerDelegate = new TracerDelegate_1.TracerDelegate(tracer));
}
exports.initGlobalTracer = initGlobalTracer;
/**
 * Returns the global tracer
 */
function getTracer() {
    // Return the global tracer delegate
    return globalTracerDelegate;
}
exports.getTracer = getTracer;
//# sourceMappingURL=globaltracer-utils.js.map